package br.usp.poli.java;

/**
 * Representa um Jogador de Pquer Fechado.
 *
 * @author FLevy
 * @version 1.0
 */
public interface JogadorDePoquerFechado extends Jogador {
	/**
	 * Solicita ao jogador as cartas que sero trocadas, caso ele deseje fazer a
	 * troca.
	 * 
	 * @param numeroDeCartasTrocadasAdversario
	 *            O nmero de cartas que o adversrio trocou ou -1 caso este
	 *            jogador seja o primeiro a trocar cartas.
	 * @return Um vetor com as cartas a serem trocadas. Caso nenhuma carta
	 *         deseje ser trocada, o vetor retornado pode ser nulo ou de tamanho
	 *         0.
	 */
	public Carta[] trocarCartas(int numeroDeCartasTrocadasAdversario);

	/**
	 * Recebe as cartas no lugar das cartas trocadas.
	 * 
	 * @param cartas
	 *            As novas cartas, ou um vetor nulo ou de tamanho 0 caso nenhuma
	 *            troca tenha sido solicitada.
	 */
	public void receberNovasCartas(Carta[] cartas);
}
